<template>
  <div id="chart">
    <apexchart
      type="line"
      height="350"
      :options="chartOptions"
      :series="series"
    ></apexchart>
  </div>
</template>

<script>
export default {
  setup() {
    const monthData = {
      prices: [3.4, 4.3, 5.4, 3.66, 4.32, 5.23, 4.7],
      dates: [
        "2020-01-01 19:00",
        "2020-01-02 19:00",
        "2020-01-03 19:00",
        "2020-01-04 19:00",
        "2020-01-05 19:00",
        "2020-01-06 19:00",
        "2020-01-07 19:00",
      ],
    };
    const series = [
      {
        data: monthData.prices,
      },
    ];
    const chartOptions = {
      chart: {
        height: 350,
        type: "line",
        id: "areachart-2",
      },
      annotations: {
        // yaxis: [
        //   {
        //     y: 8200,
        //     borderColor: "#00E396",
        //     label: {
        //       borderColor: "#00E396",
        //       style: {
        //         color: "#fff",
        //         background: "#00E396"
        //       },
        //       text: "Support"
        //     }
        //   },
        //   {
        //     y: 4,
        //     y2: 5,
        //     borderColor: "#000",
        //     fillColor: "#FEB019",
        //     opacity: 0.2,
        //     label: {
        //       borderColor: "#333",
        //       style: {
        //         fontSize: "10px",
        //         color: "#333",
        //         background: "#FEB019"
        //       },
        //       text: "Y-axis range"
        //     }
        //   }
        // ],
        xaxis: [
          {
            x: new Date("2 Jan 2020").getTime(),
            strokeDashArray: 0,
            borderColor: "#775DD0",
            label: {
              borderColor: "#775DD0",
              style: {
                color: "#fff",
                background: "#775DD0",
              },
              text: "Anno Test",
            },
          },
          {
            x: new Date("3 Jan 2020").getTime(),
            x2: new Date("6 Jan 2020").getTime(),
            fillColor: "#B3F7CA",
            opacity: 0.4,
            label: {
              borderColor: "#B3F7CA",
              style: {
                fontSize: "10px",
                color: "#fff",
                background: "#00E396",
              },
              offsetY: -10,
              text: "X-axis range",
            },
          },
        ],
        // points: [
        //       {
        //         x: new Date("01 Dec 2017").getTime(),
        //         y: 8607.55,
        //         marker: {
        //           size: 8,
        //           fillColor: "#fff",
        //           strokeColor: "red",
        //           radius: 2,
        //           cssClass: "apexcharts-custom-class"
        //         },
        //         label: {
        //           borderColor: "#FF4560",
        //           offsetY: 0,
        //           style: {
        //             color: "#fff",
        //             background: "#FF4560"
        //           },

        //           text: "Point Annotation"
        //         }
        //       },
        //   {
        //     x: new Date("6 Jan 2020").getTime(),
        //     y: 5,
        //     marker: {
        //       size: 0
        //     },
        //     image: {
        //       path: "@/assets/ico-instagram.png"
        //     }
        //   }
        // ]
      },
      dataLabels: {
        enabled: false,
      },
      stroke: {
        curve: "smooth",
      },
      grid: {
        padding: {
          right: 30,
          left: 20,
        },
      },
      title: {
        text: "Line with Annotations",
        align: "left",
      },
      labels: monthData.dates,
      xaxis: {
        type: "datetime",
      },
    };
    return {
      series,
      chartOptions,
    };
  },
};
</script>
